Installing Cyclone

Cyclone currently only runs on 32-bit machines. It has been tested on Linux, Windows 98/NT/2K/XP using the Cygwin environment, and on Mac OS X. Other platforms might or might not work. Right now, there are a few 32-bit dependencies in the compiler, so the system will probably not work on a 64-bit machine without major changes.

To install and use Cyclone, you’ll need to use the Gnu utilities, including gcc (the Gnu C compiler) and Gnu-Make.

Cyclone versions up to 1.0 require version 3 of gcc; note that gcc version 4 will not work for 1.0. If you have version 4 of gcc, you will have to use the latest version of Cyclone, available from our SVN repository (more here).

For Windows, you should first install the latest version of the Cygwin utilities to do the build, and make sure that the Cygwin bin directory is on your path. We use some features of gcc extensively, so Cyclone definitely will not build with another C compiler.

Cyclone is distributed as a compressed archive (a .tar.gz file). Unpack the distribution into a directory; if you are installing Cyclone on a Windows system, we suggest you choose c:/cyclone.

From here, a standard installation is done with the usual

sudo make install

If you need more detail, consult the instructions in the INSTALL file included in the distribution.